XmIsMotifWMRunning(3Xm)

NAME
XmIsMotifWMRunning — a function that specifies if the window manager is running.

SYNOPSIS
#include <X11/Shell.h>

Boolean XmIsMotifWMRunning (shell)
    Widget    shell;

DESCRIPTION
XmIsMotifWMRunning lets a user know if the Motif Window Manager is running on a screen that contains a specific widget hierarchy. This function first sees whether the MOTIF_WM_INFO property is present on the root window of the shell's screen. If it is, it's window field is used to query for the presence of the specified window as a child of root.

shell
    Specifies the shell whose screen will be tested for MWM's presence.

RETURN VALUE
Returns true if Motif window manager is running.